"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObjectHelper = void 0;
const mongoose_1 = __importDefault(require("mongoose"));
class ObjectHelper {
    /**
     * Tests whether can cast a value to an ObjectId
     * @param value value to be tested if it can be cast to an ObjectId
     */
    // eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
    static isValidObjectId(value) {
        return mongoose_1.default.isValidObjectId(value);
    }
}
exports.ObjectHelper = ObjectHelper;
//# sourceMappingURL=objectHelper.js.map