"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IHubError = void 0;
class IHubError extends Error {
    constructor(props, customMessage) {
        super(customMessage || props.message);
        this.code = props.code;
        this.name = props.name || this.constructor.name;
        this.httpStatus = props.httpStatus || 500;
        Error.captureStackTrace(this, this.constructor);
    }
}
exports.IHubError = IHubError;
//# sourceMappingURL=lib.js.map